be.fgov.ehealth.technicalconnector.bootstrap.bcp.domain

## Class EndPointInformation

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.bootstrap.bcp.domain.EndPointInformation

-     public class EndPointInformation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndPointInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getService2ActiveEndpoint()`
    `Map<String,List<String>>` | `getService2AllEndpoints()`
    `Map<String,CacheInformation>` | `getService2CacheInformation()`
    `Map<String,String>` | `getService2DefaultEndpoint()`
    `Map<String,String>` | `getUrl2Service()`
    `void` | `register(String serviceName, String activeEndpoint, String defaultEndpoint, Collection<String> endpoints, CacheInformation cacheInformation)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EndPointInformation

          public EndPointInformation()

  - ### Method Detail

    - #### getService2ActiveEndpoint

          public Map<String,String> getService2ActiveEndpoint()

    - #### getUrl2Service

          public Map<String,String> getUrl2Service()

    - #### getService2AllEndpoints

          public Map<String,List<String>> getService2AllEndpoints()

    - #### getService2DefaultEndpoint

          public Map<String,String> getService2DefaultEndpoint()

    - #### getService2CacheInformation

          public Map<String,CacheInformation> getService2CacheInformation()

    - #### register

          public void register(String serviceName,
                               String activeEndpoint,
                               String defaultEndpoint,
                               Collection<String> endpoints,
                               CacheInformation cacheInformation)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.